%bcond_without check

%global goipath         github.com/mikefarah/yq/v4
%global gohomepath      github.com/mikefarah/yq

%global common_description %{expand:
Yq is a portable command-line YAML, JSON, XML, CSV, TOML  and properties
processor.}

%global golicenses      LICENSE
%global godocs          examples CODE_OF_CONDUCT.md how-it-works.md project-\\\
                        words.txt release_instructions.txt CONTRIBUTING.md\\\
                        README.md release_notes.txt

Summary:        Yq is a portable command-line YAML, JSON, XML, CSV, TOML  and properties processor
Name:           yq
Release:        1%{?dist}.3
Version:                4.43.1

License:        MIT
URL:            %{gourl}
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}-vendor.tar.gz

BuildRequires:  go-rpm-macros

%description %{common_description}

%prep
%autosetup -a1

%build
export GOPATH=$PWD/.gopath
mkdir -p ${GOPATH}/src/%{gohomepath}
ln -sfn $PWD $GOPATH/src/%{goipath}

%gobuild -o %{gobuilddir}/bin/yq %{goipath}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
GO111MODULE=on go test ./...
%endif

%files
%license LICENSE
%doc examples CODE_OF_CONDUCT.md how-it-works.md project-words.txt
%doc release_instructions.txt CONTRIBUTING.md README.md release_notes.txt
%{_bindir}/yq

%changelog
* Mon May 13 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.43.1-1.3
- initial build

